=== debian/changelog ===
lomiri-camera-app (4.0.1+dfsg-2) unstable; urgency=medium

  * debian/control:
    + Drop libgles2-dev from B-D.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 05 Feb 2023 10:59:11 +0100

lomiri-camera-app (4.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release. Upload to unstable.
  * debian/watch:
    + Start watching upstream releases.
  * debian/rules:
    + Drop no-op dh_install override.
  * debian/control:
    + Drop alternative B-D 'libgles2-mesa-dev | libgles2-dev'. Only B-D on
      libgles2-dev. Thanks, lintian.
    + Uncomment B-D: qml-module-lomiri-action.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 04 Feb 2023 23:28:06 +0100

lomiri-camera-app (4.0.0+git20230203.a8fdcf1+dfsg-1) experimental; urgency=medium

  * Initial upload to Debian. (Closes: #1030036).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 18 Jan 2023 11:05:04 +0100
