=== debian/control ===
Source: lomiri-camera-app
Section: misc
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
           Marius Gripsgard <marius@ubports.com>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               libgl1-mesa-dev | libgl1-dev,
               pkg-config,
               qtbase5-dev,
               qtquickcontrols2-5-dev,
               qtdeclarative5-dev,
               qml-module-qtquick2,
               qml-module-qtpositioning,
               qml-module-qt-labs-settings,
               qml-module-qttest,
               qml-module-lomiri-components,
               qml-module-lomiri-thumbnailer,
               qml-module-lomiri-action,
               qml-module-usermetrics,
               qml-module-lomiri-content,
               qtmultimedia5-dev,
               libqt5svg5-dev,
               libusermetricsinput-dev,
               libexiv2-dev,
               libqzxing-dev,
               gettext,
               xauth,
               xvfb,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/apps/lomiri-camera-app
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-camera-app
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-camera-app.git

Package: lomiri-camera-app
Architecture: any
Depends: libqt5multimedia5,
         qml-module-qtquick2,
         qml-module-qtmultimedia | qml-module-qtmultimedia-gles,
         qml-module-lomiri-components,
         qml-module-lomiri-action,
         qml-module-qtquick-window2,
         qml-module-usermetrics,
         qml-module-lomiri-content,
         qml-module-lomiri-thumbnailer,
         qml-module-qtpositioning,
         qml-module-qtsensors,
         qml-module-qzxing,
         qml-module-lomiri-components-extras,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Camera and Barcode Scanner App for Lomiri Operating Environment
 This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
 a mobile OS developed by the UBports Foundation. Lomiri is its operating
 environment optimized for touch based human-machine interaction, but
 also supports convergence (i.e. switching between tablet/phone and
 desktop mode).
 .
 This package provides Lomiri's Camera App and additionally also its
 Barcode Scanner App.
