=== debian/changelog ===
lomiri-camera-app (4.0.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Slight UI change in barcode reader app.
    - Translation updates.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 01 Mar 2023 09:08:25 +0100
