## lomiri-camera-app 4.0.5+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-camera-app VERSION 4.0.2 LANGUAGES CXX)
+project(lomiri-camera-app VERSION 4.0.5 LANGUAGES CXX)
 set (CMAKE_CXX_STANDARD 11)
 
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
@@ -43,7 +43,7 @@
     set(CMAKE_INSTALL_BINDIR /)
     set(PLUGIN_BASE lib/${CMAKE_LIBRARY_ARCHITECTURE})
     set(PLUGIN_DIR ${PLUGIN_BASE}/CameraApp)
-    set(DESKTOP_EXEC "./${CAMERA_APP}")
+    set(DESKTOP_EXEC "lomiri-camera-app-migrate.py ${CAMERA_APP}")
     set(CAMERA_ICON "${CMAKE_INSTALL_DATADIR}/icons/lomiri-camera-app.svg")
     set(CAMERA_SPLASH "${CMAKE_INSTALL_DATADIR}/icons/lomiri-camera-app-splash.svg")
     install(FILES assets/lomiri-camera-app.svg DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
@@ -89,6 +89,8 @@
     set(DESKTOP_EXEC ${CAMERA_APP})
 endif(CLICK_MODE)
 
+install(PROGRAMS lomiri-camera-app-migrate.py DESTINATION "${CMAKE_INSTALL_PREFIX}/${CAMERA_APP_DIR}")
+
 # QR scanner
 set(QZXING_MULTIMEDIA ON)
 add_definitions(
