=== desktop/CMakeLists.txt ===
install(DIRECTORY icons/hicolor DESTINATION DESTINATION
        ${CMAKE_INSTALL_DATADIR}/icons FILES_MATCHING PATTERN *.png)
