=== debian/changelog ===
lomiri-camera-app (4.0.5+dfsg-1build1) noble; urgency=high

  * No change rebuild against libqt5gui5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:39:01 +0100

lomiri-camera-app (4.0.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attribution for debian/.
    + Update copyright attributions.
  * debian/control:
    + Switch B-D from libgl1-mesa-dev to libgl-dev.
  * debian/rules:
    + Remove not needed migration script (Ubuntu Touch specific).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 Feb 2024 00:53:09 +0100
