=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: lomiri-camera-app
 Section: misc
 Priority: optional
-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            Marius Gripsgard <marius@ubports.com>,
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               libgl1-mesa-dev | libgl1-dev,
+               libgl-dev,
                pkg-config,
                qtbase5-dev,
                qtquickcontrols2-5-dev,
