=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,10 @@
 override_dh_auto_configure:
 	dh_auto_configure -- -DCLICK_MODE=OFF
 
+override_dh_install:
+	rm debian/lomiri-camera-app/usr/share/lomiri-camera-app/lomiri-camera-app-migrate.py
+	dh_install
+
 override_dh_missing:
 	dh_missing --fail-missing
