=== debian/changelog ===
lomiri-camera-app (4.0.6+dfsg-2build1) plucky; urgency=medium

  * No-change rebuild for libexiv2

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 01 Nov 2024 12:13:18 +0000

lomiri-camera-app (4.0.6+dfsg-2) unstable; urgency=medium

  * debian/rules:
    + Add mips64el architecture to testskip_architectures. (Closes: #1081960).
    + Run unit tests on testskip_architectures, but don't expect them to
      succeed. (This allows us to check from time to time if unit tests have
      become more stable on those archs).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 22 Sep 2024 12:56:00 +0200

lomiri-camera-app (4.0.6+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 14 Jun 2024 09:52:13 +0200
