## lomiri-camera-app 4.0.7+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-camera-app VERSION 4.0.6 LANGUAGES CXX)
+project(lomiri-camera-app VERSION 4.0.7 LANGUAGES CXX)
 set (CMAKE_CXX_STANDARD 11)
 
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
@@ -13,12 +13,49 @@
 # Standard install paths. Needs to be set before finding packages.
 include(GNUInstallDirs)
 
+find_package(PkgConfig)
 find_package(Qt5Qml)
 find_package(Qt5Quick)
 find_package(Qt5Multimedia)
 find_package(Qt5Gui)
 find_package(Qt5Svg)
 find_package(Qt5QuickControls2)
+
+if(PkgConfig_FOUND)
+    pkg_check_modules(QZXING QZXing)
+endif()
+
+if(NOT QZXING_FOUND)
+    message(WARNING "No QZXing package config found, will try to detect it.")
+    list(APPEND QZXING_LIBRARY_DIRS "")
+
+    # Not used for anything in this codebase?
+    list(APPEND QZXING_CFLAGS_OTHER
+        -DENABLE_ENCODER_GENERIC
+        -DQZXING_QML
+        -DQZXING_MULTIMEDIA
+        -DQZXING_LIBRARY
+        -DZXING_ICONV_CONST
+        -DDISABLE_LIBRARY_FEATURES
+        -DENABLE_DECODER_QR_CODE
+        -DQ_OS_UBUNTUTOUCH
+    )
+
+    # Exact name depends on what was used to build it (QMake or CMake)
+    find_library(QZXING_LIBRARIES NAMES QZXing qzxing)
+    message(STATUS "QZXING_LIBRARIES: ${QZXING_LIBRARIES}")
+
+    # Exact path depends on what was used to build it (QMake or CMake)
+    find_path(QZXING_INCLUDE_DIRS QZXing.h PATH_SUFFIXES qzxing)
+    message(STATUS "QZXING_INCLUDE_DIRS: ${QZXING_INCLUDE_DIRS}")
+
+    if(NOT QZXING_LIBRARIES)
+        message(FATAL_ERROR "Could not find QZXing library")
+    endif()
+    if(NOT QZXING_INCLUDE_DIRS)
+        message(FATAL_ERROR "Could not find QZXing headers")
+    endif()
+endif()
 
 include(FindGettext)
 if(NOT GETTEXT_FOUND)
@@ -41,7 +78,7 @@
     set(CMAKE_INSTALL_PREFIX /)
     set(CAMERA_APP_DIR /)
     set(CMAKE_INSTALL_BINDIR /)
-    set(PLUGIN_BASE lib/${CMAKE_LIBRARY_ARCHITECTURE})
+    set(PLUGIN_BASE ${CMAKE_INSTALL_FULL_LIBDIR}/${CMAKE_LIBRARY_ARCHITECTURE})
     set(PLUGIN_DIR ${PLUGIN_BASE}/CameraApp)
     set(DESKTOP_EXEC "lomiri-camera-app-migrate.py ${CAMERA_APP}")
     set(CAMERA_ICON "${CMAKE_INSTALL_DATADIR}/icons/lomiri-camera-app.svg")
@@ -49,12 +86,12 @@
     install(FILES assets/lomiri-camera-app.svg DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
     install(FILES assets/lomiri-camera-app-splash.svg DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
 
-    set(READER_ICON "${CMAKE_INSTALL_DATADIR}/icons/lomiri-barcode-reader-app.png")
-    set(READER_SPLASH "${CMAKE_INSTALL_DATADIR}/icons/lomiri-barcode-reader-app-splash.png")
+    set(READER_ICON "${CMAKE_INSTALL_DATADIR}/icons/lomiri-barcode-reader-app.svg")
+    set(READER_SPLASH "${CMAKE_INSTALL_DATADIR}/icons/lomiri-barcode-reader-app-splash.svg")
     install(FILES assets/lomiri-camera-app.svg DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
     install(FILES assets/lomiri-camera-app-splash.svg DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
-    install(FILES assets/lomiri-barcode-reader-app.png DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
-    install(FILES assets/lomiri-barcode-reader-app-splash.png DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
+    install(FILES assets/lomiri-barcode-reader-app.svg DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
+    install(FILES assets/lomiri-barcode-reader-app-splash.svg DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
 
     add_definitions("-DCLICK_MODE=1")
 
@@ -78,30 +115,24 @@
     endif(NOT SOURCE)
 
 else(CLICK_MODE)
-    set(CAMERA_APP_DIR ${CMAKE_INSTALL_DATADIR}/${CAMERA_APP})
+    set(CAMERA_APP_DIR ${CMAKE_INSTALL_FULL_DATADIR}/${CAMERA_APP})
     set(CAMERA_ICON lomiri-camera-app)
-    set(CAMERA_SPLASH ${CMAKE_INSTALL_PREFIX}/${CAMERA_APP_DIR}/lomiri-camera-app-splash.svg)
+    set(CAMERA_SPLASH ${CAMERA_APP_DIR}/assets/lomiri-camera-app-splash.svg)
+    install(FILES assets/lomiri-camera-app.svg DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
 
     set(READER_ICON "lomiri-barcode-reader-app")
-    set(READER_SPLASH "${CMAKE_INSTALL_PREFIX}/${CAMERA_APP_DIR}/lomiri-barcode-reader-app-splash.png")
-    set(PLUGIN_BASE ${CMAKE_INSTALL_LIBDIR}/${CAMERA_APP})
+    set(READER_SPLASH "${CAMERA_APP_DIR}/assets/lomiri-barcode-reader-app-splash.svg")
+    install(FILES assets/lomiri-barcode-reader-app.svg DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
+
+    set(PLUGIN_BASE ${CMAKE_INSTALL_FULL_LIBDIR}/${CAMERA_APP})
     set(PLUGIN_DIR ${PLUGIN_BASE}/CameraApp)
     set(DESKTOP_EXEC ${CAMERA_APP})
 endif(CLICK_MODE)
 
-install(PROGRAMS lomiri-camera-app-migrate.py DESTINATION "${CMAKE_INSTALL_PREFIX}/${CAMERA_APP_DIR}")
-
-# QR scanner
-set(QZXING_MULTIMEDIA ON)
-add_definitions(
-    -DENABLE_ENCODER_GENERIC
-    -DQZXING_QML
-    -DQZXING_MULTIMEDIA
-    -DQZXING_LIBRARY
-    -DZXING_ICONV_CONST
-    -DDISABLE_LIBRARY_FEATURES
-    -DENABLE_DECODER_QR_CODE
-    -DQ_OS_UBUNTUTOUCH
+install(PROGRAMS lomiri-camera-app-migrate.py DESTINATION "${CAMERA_APP_DIR}")
+
+add_compile_options(
+    ${QZXING_CFLAGS_OTHER}
 )
 
 configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h @ONLY)
@@ -113,6 +144,7 @@
     ${Qt5Quick_INCLUDE_DIRS}
     ${Qt5Multimedia_INCLUDE_DIRS}
     ${Qt5Gui_INCLUDE_DIRS}
+    ${QZXING_INCLUDE_DIRS}
     )
 
 set(camera_app_HDRS
@@ -126,6 +158,11 @@
     ${cameraapplication_MOC_SRCS}
     ${camera_app_SRCS}
     )
+
+target_link_directories(${CAMERA_APP}
+    PUBLIC
+    ${QZXING_LIBRARY_DIRS}
+)
 
 target_link_libraries(${CAMERA_APP}
     ${Qt5Core_LIBRARIES}
@@ -133,7 +170,7 @@
     ${Qt5Multimedia_LIBRARIES}
     ${Qt5Gui_LIBRARIES}
     stdc++
-    qzxing
+    ${QZXING_LIBRARIES}
     )
 
 install(TARGETS ${CAMERA_APP}
@@ -225,5 +262,7 @@
 
 add_subdirectory(po)
 
-enable_testing()
-add_subdirectory(tests)
+include(CTest)
+if(BUILD_TESTING)
+    add_subdirectory(tests)
+endif()
