=== debian/changelog ===
lomiri-camera-app (4.0.7+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Trivially rebase 2001_no-autopilot-on-Debian.patch.
    + Add 1001_content-hub-for-non-click-builds.patch. Fix missing content-hub
      integration for non-click builds.
  * debian/copyright:
    + Update attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 31 Jan 2025 22:54:46 +0100
