=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lomiri-camera-app
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            Marius Gripsgard <marius@ubports.com>,
 Build-Depends: cmake,
@@ -29,7 +28,7 @@
                gettext,
                xauth,
                xvfb,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/apps/lomiri-camera-app
 Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-camera-app
