## lomiri-camera-app 4.0.8%2Bdfsg

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
                           --package-name='${GETTEXT_PACKAGE}'
                           --copyright-holder='Canonical Ltd.'
                           -D ${CMAKE_BINARY_DIR}
-                          ${DESKTOP_FILE}.in
+                          ${DESKTOP_FILE}.in ${DESKTOP_FILE_READER}.in
                   COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
                           --from-code=UTF-8
                           --c++ --qt
