## lomiri-camera-app 4.0.8+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-camera-app VERSION 4.0.7 LANGUAGES CXX)
+project(lomiri-camera-app VERSION 4.0.8 LANGUAGES CXX)
 set (CMAKE_CXX_STANDARD 11)
 
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
@@ -251,6 +251,9 @@
         DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
     install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE_READER}
         DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
+    install(FILES camera-contenthub.json
+            DESTINATION ${CMAKE_INSTALL_DATADIR}/lomiri-content-hub/peers
+            RENAME lomiri-camera-app)
 endif(CLICK_MODE)
 
 add_subdirectory(CameraApp)
