=== debian/changelog ===
lomiri-camera-app (4.0.8+dfsg-5) unstable; urgency=medium

  * debian/patches:
    + Add 0006_qml-Viewfinder-fix-content-export-preview-corruption.patch.
      qml/Viewfinder: Fix content export preview corruption in !hasEXIF mode.
    + Add 0007_qml-Support-scanning-white-QR-codes-in-BarcodeReaderApp.patch.
      Support white QR codes in barcode reader app.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 15 Jun 2025 21:14:56 +0200

lomiri-camera-app (4.0.8+dfsg-4) unstable; urgency=medium

  * debian/patches:
    + Add 0002_fix-image-quality-on-app-startup.patch. Correctly initialize
      image resolution on app startup. (Closes: #1105112).
    + Add 0003_fix-spelling-of-background-color-in-AdvancedOptions-qml.patch.
      AdvancedOptions.qml: Fix typo in theme palette name. (Closes: #1106850).
    + Add 0004_Save-orientation-when-erasing-metadata.patch. Fix privacy mode
      (where no EXIF data is stored in images): Save orientation data also in
      privacy mode. (Closes: #1106849).
    + Add 0005_add-left-margin-between-icon-and-label-in-options-selector.patch.
      Minor UI icon fix for options selector.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 30 May 2025 16:14:07 +0200

lomiri-camera-app (4.0.8+dfsg-3) unstable; urgency=medium

  * debian/patches:
    + Add 0001_fix-recorded-video-size.patch. Fix initialization of video
      resolution. (Closes: #1104908)
  * debian/control:
    + Drop from D: qml-module-qzxing. The qzxing library does not provide a
      full QQmlEngineExtensionPlugin, it simply provides QQuickImageProvider.
      Trying to import the QML module will fail. This goes together with the
      removal of the qml-module-qzxing bin:pkg from src:pkg qzxing. (Closes:
      #1092953).
    + Switch from pkg-config => pkgconf. Thanks, lintian.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 10 May 2025 16:04:19 +0200

lomiri-camera-app (4.0.8+dfsg-2) unstable; urgency=medium

  * debian/patches:
    + Update 2002_hide-app-if-not-in-lomiri.patch. Include barcode reader app.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2025 22:59:32 +0200

lomiri-camera-app (4.0.8+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Add 2002_hide-app-if-not-in-lomiri.patch.
    + Drop 1001_content-hub-for-non-click-builds.patch. Applied upstream.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/copyright:
    + Fix FSF mailing address.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2025 13:25:12 +0200
