## lomiri-camera-app 4.1.1%2Bdfsg

=== desktop/CMakeLists.txt ===
install(DIRECTORY icons/hicolor DESTINATION
        ${CMAKE_INSTALL_DATADIR}/icons FILES_MATCHING PATTERN *.png)
