## lomiri-camera-app 4.1.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-camera-app VERSION 4.0.8 LANGUAGES CXX)
+project(lomiri-camera-app VERSION 4.1.1 LANGUAGES CXX)
 set (CMAKE_CXX_STANDARD 11)
 
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
@@ -64,6 +64,8 @@
 
 option(INSTALL_TESTS "Install the tests on make install" off)
 option(CLICK_MODE "Installs to a contained location" on)
+set(CLICK_VERSION "${PROJECT_VERSION}"
+    CACHE STRING "Version of built Click. Meaningful only in Click mode.")
 
 set(CAMERA_APP lomiri-camera-app)
 set(AUTOPILOT_DIR lomiri_camera_app)
