=== debian/changelog ===
lomiri-camera-app (4.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop patches 0001 - 0007. All originally cherry-picked from upstream and
      included in this release.
    + Add 2003_adapt-import-paths-in-unittests.patch. Adjust import paths in
      unit tests so new .qml files can be found after source tree restructuring
      by upstream.
  * debian/copyright:
    + Update copyright attributions (after files got moved around by upstream).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 11 Aug 2025 23:34:08 +0200
