=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libgl-dev,
-               pkg-config,
+               pkgconf,
                qtbase5-dev,
                qtquickcontrols2-5-dev,
                qtdeclarative5-dev,
@@ -28,7 +28,7 @@
                gettext,
                xauth,
                xvfb,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/apps/lomiri-camera-app
 Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-camera-app
@@ -47,7 +47,6 @@
          qml-module-lomiri-thumbnailer,
          qml-module-qtpositioning,
          qml-module-qtsensors,
-         qml-module-qzxing,
          qml-module-lomiri-components-extras,
          ${misc:Depends},
          ${shlibs:Depends},
